
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #629

Audacious 3.7.1 creates duplicates and partial duplicates of files from playlists and dumps them in

/home/user directory in Linux

March 12, 2016 18:44 - William Vincenti

Status: Rejected Start date: March 12, 2016

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.7.1   

Description

Whenever I open Audacious and either create new playlists, or open existing playlists (*.pls files), I start getting duplicates or partial

duplicates of the songs appearing in my /home/user directory. The original files remain intact in their original directory. Sometimes

the partials will appear as a txt file with the song title for its file name (such as with *.wv) files else mp3's will show up as mp3's

whether full or partial copies are created. I'm running Arch Linux 4.3.6-1-ck (a modified kernel from the Arch repos of the latest Arch

kernel, specifically targets the AMD FX vishera cpu). When I roll Audacious back to 3.6.2 the problem goes away. Problem exists in

3.7.1-1 and 3.7.1-4.

History

#1 - March 13, 2016 21:48 - John Lindgren

- Status changed from New to Rejected

Just turn off the recording feature if you don't want it.  Maybe we'll make the feature harder to enable by accident in a future version.

#2 - May 13, 2016 08:56 - Jim Turner

Would this patch address this issue?  Seems to work for me. (though I haven't conceived a thorough test scheme yet!)

*************** int main (int argc, char * * argv)

*** 397,402 ****

--- 397,403 ----

          hook_dissociate ("quit", (HookFunction) aud_quit);

      }

+     aud_drct_enable_record (0);  //JWT:MAKE SURE RECORDING(DUBBING) IS OFF!

  #ifdef USE_DBUS

      dbus_server_cleanup ();

  #endif

Regards,   

Jim
#3 - December 31, 2016 20:38 - Ari Ar

John Lindgren wrote:

Just turn off the recording feature if you don't want it.  Maybe we'll make the feature harder to enable by accident in a future version.

 

I was also wondering about the strange red button, having no idea what it was doing, it doesn't even have a tooltip, it's way too easy to activate by

mistake.

Also there doesn't seem to be a Preferences option to remove it (Fedora 25, audacious 3.8, GTK). For my typical usecase (and I can guess for the

vast majority of users), this feature is not needed and I'd rather turn it off from the UI as it adds clutter.

Hope devs will see/consider this.
